### Function

# EDataBook BookMetaBackendInfo new

since: 3.26

#### Declaration [src]

    EBookMetaBackendInfo*
    e_book_meta_backend_info_new (
      const gchar* uid,
      const gchar* revision,
      const gchar* object,
      const gchar* extra
    )

#### Description [src]

Creates a new `EBookMetaBackendInfo` prefilled with the given values.

Available since: 3.26

#### Parameters

`uid`

  Type: `const gchar*`

  A contact UID; cannot be `NULL`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`revision`

  Type: `const gchar*`

  The contact revision; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`object`

  Type: `const gchar*`

  The contact object as a vCard string; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`extra`

  Type: `const gchar*`

  Extra backend-specific data; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `EBookMetaBackendInfo`

A new `EBookMetaBackendInfo`. Free it with e_book_meta_backend_info_free(), when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.